#ifndef PORT_FILTER_H
#define PORT_FILTER_H

#include "Filter.h"

class PortFilter : public Filter
{
public:
	PortFilter();
	PortFilter(const PortFilter & src);
	virtual ~PortFilter();
	virtual Filter * Clone() const;
	virtual bool Match(const ProtocolInfoElement * pProtocolInfo);
	void SetPortNumber(unsigned short nPort);
private:
	unsigned short m_nPort;
};

#endif

